## org.red5.io.utils
Class ObjectMap<K,V>

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<K,V>
              org.red5.io.utils.ObjectMap<K,V>

Type Parameters:
  `K` - key type
  `V` - value type

All Implemented Interfaces:
  Serializable, Cloneable, Map<K,V>

    public class ObjectMap<K,V>

extends HashMap<K,V>

Map that should be transmitted as object through RTMP.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Constructor Summary
`ObjectMap()`

Method Summary

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### ObjectMap

    public ObjectMap()

Copyright © 2006-2010 The Red5 Project